Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service
Interface Visitor

    public interface Visitor

Defines the contract for classes that iterate over the `*Info` classes. Used to recurse into `ServiceInfo`, `OperationInfo`, `MessageInfo`, etc.

Note that implementations of this interface are not required to recurse themselves; instead, this is handled by the various vistable implementations.

Author:
  Arjen Poutsma
See Also:
  `Visitable`

Method Summary
`void` | `endBinding(ObjectBinding binding)` Receive notification at the end of a binding visit.
`void` | `endEndpoint(Service endpoint)` Receive notatification of the end of a endpoint visit.
`void` | `endFault(FaultInfo faultInfo)` Receive notification at the end of a fault visit.
`void` | `endMessage(MessageInfo messageInfo)` Receive notification at the end of a message visit.
`void` | `endMessageHeader(MessageHeaderInfo messageHeaderInfo)` Receive notification at the end of a message header visit.
`void` | `endMessagePart(MessagePartInfo messagePartInfo)` Receive notification at the end of a message part visit.
`void` | `endOperation(OperationInfo operationInfo)` Receive notification at the end of a operation visit.
`void` | `endService(ServiceInfo serviceInfo)` Receive notatification of the end of a service visit.
`void` | `startBinding(ObjectBinding binding)` Receive notification at the beginning of a binding visit.
`void` | `startEndpoint(Service endpoint)` Receive notification at the beginning of a endpoint visit.
`void` | `startFault(FaultInfo faultInfo)` Receive notification at the beginning of a fault visit.
`void` | `startMessage(MessageInfo messageInfo)` Receive notification at the beginning of a message visit.
`void` | `startMessageHeader(MessageHeaderInfo messageHeaderInfo)` Receive notification at the beginning of a message header visit.
`void` | `startMessagePart(MessagePartInfo messagePartInfo)` Receive notification at the beginning of a message part visit.
`void` | `startOperation(OperationInfo operationInfo)` Receive notification at the beginning of a operation visit.
`void` | `startService(ServiceInfo serviceInfo)` Receive notification at the beginning of a service visit.

Method Detail

### startEndpoint

    void startEndpoint(Service endpoint)

  Receive notification at the beginning of a endpoint visit.

  Parameters:
    `endpoint` - the service endpoint.

### endEndpoint

    void endEndpoint(Service endpoint)

  Receive notatification of the end of a endpoint visit.

  Parameters:
    `endpoint` -

### startService

    void startService(ServiceInfo serviceInfo)

  Receive notification at the beginning of a service visit.

  Parameters:
    `serviceInfo` - the service.

### endService

    void endService(ServiceInfo serviceInfo)

  Receive notatification of the end of a service visit.

  Parameters:
    `serviceInfo` -

### startOperation

    void startOperation(OperationInfo operationInfo)

  Receive notification at the beginning of a operation visit.

  Parameters:
    `operationInfo` - the operation.

### endOperation

    void endOperation(OperationInfo operationInfo)

  Receive notification at the end of a operation visit.

  Parameters:
    `operationInfo` - the operation.

### startMessage

    void startMessage(MessageInfo messageInfo)

  Receive notification at the beginning of a message visit.

  Parameters:
    `messageInfo` - the message.

### endMessage

    void endMessage(MessageInfo messageInfo)

  Receive notification at the end of a message visit.

  Parameters:
    `messageInfo` - the message.

### startFault

    void startFault(FaultInfo faultInfo)

  Receive notification at the beginning of a fault visit.

  Parameters:
    `faultInfo` - the fault.

### endFault

    void endFault(FaultInfo faultInfo)

  Receive notification at the end of a fault visit.

  Parameters:
    `faultInfo` - the fault.

### startMessagePart

    void startMessagePart(MessagePartInfo messagePartInfo)

  Receive notification at the beginning of a message part visit.

  Parameters:
    `messagePartInfo` - the message part info.

### endMessagePart

    void endMessagePart(MessagePartInfo messagePartInfo)

  Receive notification at the end of a message part visit.

  Parameters:
    `messagePartInfo` - the message part info.

### startMessageHeader

    void startMessageHeader(MessageHeaderInfo messageHeaderInfo)

  Receive notification at the beginning of a message header visit.

  Parameters:
    `messageHeaderInfo` - the message header info.

### endMessageHeader

    void endMessageHeader(MessageHeaderInfo messageHeaderInfo)

  Receive notification at the end of a message header visit.

  Parameters:
    `messageHeaderInfo` - the message header info.

### startBinding

    void startBinding(ObjectBinding binding)

  Receive notification at the beginning of a binding visit.

  Parameters:
    `binding` - the binding.

### endBinding

    void endBinding(ObjectBinding binding)

  Receive notification at the end of a binding visit.

  Parameters:
    `binding` - the binding.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.